Organization Configuration
Post Branding
Save the branding: one payload form field with the JSON document, and the asset files.
POST
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
branding
Post Branding
curl --request POST \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/branding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'payload=<string>' \
--form 'logo_file=<string>' \
--form 'favicon_file=<string>' \
--form 'regular_font_file=<string>' \
--form 'bold_font_file=<string>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/branding"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"payload\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"logo_file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"favicon_file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"regular_font_file\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"bold_font_file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('payload', '<string>');
form.append('logo_file', '<string>');
form.append('favicon_file', '<string>');
form.append('regular_font_file', '<string>');
form.append('bold_font_file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": "<string>",
"settings": {
"product_name": "<string>",
"default_seo_title": "<string>",
"support_email": "<string>",
"terms_and_conditions_url": "<string>",
"default_language": "<string>",
"allowed_languages": [
"<string>"
],
"theming_data": {
"fontFamily": "<string>",
"brandColor": "<string>",
"accentColor": "<string>",
"accentTextColor": "<string>",
"infoColor": "<string>",
"contrastColor": "<string>",
"contrastFontColor": "<string>",
"backgroundColor": "<string>",
"buttonColor": "<string>",
"buttonTextColor": "<string>",
"fontSizes": {}
}
},
"assets": {
"logo_file": {
"url": "<string>",
"name": "<string>"
},
"favicon_file": {
"url": "<string>",
"name": "<string>"
},
"regular_font_file": {
"url": "<string>",
"name": "<string>"
},
"bold_font_file": {
"url": "<string>",
"name": "<string>"
}
},
"readonly": {
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"text_overrides": {}
},
"permissions": {
"can_edit": true
},
"options": {
"languages": [
{
"id": "<string>",
"label": "<string>"
}
]
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /oauth2/token/
FlowPassword
- Token URL
- /api/partners/v2.0/auth/token
Path Parameters
Body
multipart/form-data
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Post Branding
